# Ansible Kemp360 Modules

This is a project using Ansible to configure LoadMasters through Central


## Modules
* __virtual_service__
  Configure a new VS on the LoadMaster
* __sub_virtual_service__
  Configure a SubVS existing Virtual Service
* __real_server__
  Configure a RS existing Virtual Service
---
* __add_header_rule__
  Create rules to add to http headers
* __delete_header_rule__
  Create rules to delete to http headers
* __replace_header_rule__
  Create rules to replace http headers
* __modify_url_rule__
  Create rules to modify urls
* __match_content_rule__
Create content rules
* __replace_body_rule__
Create rules to replace in the body
---
* __cert_management__
  Configure certs and keys on the LoadMaster


## Use

1. Clone this repository to your local machine
   
2. Install the requirements file (In a python virtual enviroment)
   
3. Create a working directory for your playbooks, for example `/home/playbooks`
   
4. copy the /library and /module_utils folders from the `kemp_ansible` folder to your playbooks folder

5. Playbooks you create in this directory now have access to the kemp modules.

## Troubleshooting

If ansible fails complaining that it cannot find the modules specified, set the following environment variables before running the playbook:

    ANSIBLE_LIBRARY=/path/to/library

    ANSIBLE_MODULE_UTILS=/path/to/module_utils/

These values can be set across the entire system by adding these lines to `/etc/ansible/ansible.cfg`:

    library = /path/to/library
    module_utils = /path/to/module_utils

 If there are still issues, run `ansible-playbook -vvv "/path/to/playbook.yml"` to get verbose, debug level output from the run to identify your issues.



## Examples

Please see the sample playbooks in the /examples folder for examples of use.

